import*as React from'react';import {useFela}from'react-fela';import {NavLink}from'@remix-run/react';import {Spin,Card,Row,Col,Tag}from'antd';import {ROUTE}from'../constants/constants.js';const styles = {
  cover: props => ({
    height: 150,
    display: 'flex',
    padding: '10px 0',
    textAlign: 'center',
    alignItems: 'center',
    justifyContent: 'center',
    '& img': {
      width: '100px',
      height: 'auto'
    }
  }),
  card: props => ({
    borderRadius: '9px',
    padding: '10px'
  }),
  text: props => ({
    overflow: 'hidden',
    whiteSpace: 'nowrap',
    textOverflow: 'ellipsis'
  }),
  chartName: props => ({
    textAlign: 'center',
    fontSize: '20px',
    fontStyle: 'bold',
    padding: '10px 0px'
  }),
  totalVersions: props => ({
    textAlign: 'right'
  }),
  latestVersion: props => ({
    textAlign: 'left'
  })
};
const fallbackImageSrc = 'https://harbor-ha.cdebase.io/images/helm-gray.svg';
function ChartCard({
  chart,
  loading,
  onInstall,
  repository
}) {
  const {
    css
  } = useFela();
  const install = input => () => onInstall(input);
  const imageEl = React.useRef(null);
  const onImageError = event => {
    imageEl.current.src = fallbackImageSrc;
  };
  return React.createElement(Spin, {
    spinning: loading
  }, React.createElement(Card, {
    loading: loading,
    className: css(styles.card),
    cover: loading ? null : React.createElement("div", {
      className: css(styles.cover)
    }, chart.icon ? React.createElement("img", {
      alt: "",
      ref: imageEl,
      src: chart.icon,
      onError: onImageError
    }) : React.createElement("img", {
      src: fallbackImageSrc,
      alt: "placeholder"
    })),
    actions: loading ? null : [React.createElement("span", {
      key: 1,
      onClick: install(chart)
    }, "Install"), React.createElement("span", {
      key: 2
    }, React.createElement(NavLink, {
      key: 'chart',
      to: `${ROUTE.CHART}?repository=${repository}&chart=${chart.name}&version=${chart.latest_version}`
    }, React.createElement("span", null, "View")))],
    bodyStyle: {
      padding: '0px',
      paddingBottom: '10px'
    }
  }, React.createElement(Row, {
    gutter: 16
  }, React.createElement(Col, {
    className: css(styles.chartName)
  }, chart.name)), React.createElement(Row, null, React.createElement(Col, {
    className: css(styles.text, styles.latestVersion),
    span: 12
  }, React.createElement(Tag, {
    color: "blue"
  }, "v", chart.latest_version || 'not provided')), React.createElement(Col, {
    className: css(styles.text, styles.totalVersions),
    span: 12
  }, React.createElement(Tag, {
    color: "blue"
  }, "Total Versions:", chart.total_versions || 'not provided')))));
}export{ChartCard};//# sourceMappingURL=ChartCard.js.map
