import {chunk,range,map}from'lodash-es';import*as React from'react';import {Row,Col}from'antd';import {ChartCard}from'./ChartCard.js';function ChartList({
  charts,
  loading,
  onInstall,
  onView,
  repository
}) {
  const grid = chunk(loading ? range(4) : charts, 4);
  return React.createElement("div", null, map(grid, (row, indexRow) => React.createElement(Row, {
    className: "mb-3",
    gutter: 12,
    key: indexRow
  }, map(row, (chart, indexChart) => React.createElement(Col, {
    md: 6,
    key: indexChart
  }, React.createElement(ChartCard, {
    loading: loading,
    repository: repository,
    chart: chart,
    onView: onView,
    onInstall: onInstall
  }))))));
}export{ChartList};//# sourceMappingURL=ChartList.js.map
