import*as _ from'lodash-es';import moment from'moment';import React__default,{useState,useEffect}from'react';import ReactMD from'react-markdown';import {useFela}from'react-fela';import {Spin,Row,Col,Card,Layout}from'antd';const {
  Content
} = Layout;
const styles = {
  container: props => ({
    padding: '15px',
    overflowY: 'auto',
    background: '#fff',
    height: 'calc(100vh - 133px)'
  }),
  versions: props => ({
    height: '300px',
    overflow: 'auto'
  })
};
function ChartView({
  data,
  loading
}) {
  if (loading || !data) {
    return React__default.createElement(Spin, null);
  }
  const {
    getChartReadme = null,
    getChartVersions = [],
    getChartMaintainers = []
  } = data;
  const {
    css
  } = useFela();
  if (!getChartReadme && !loading) {
    return React__default.createElement("h1", null, "Chart not found!");
  }
  const [readMe, setReadMe] = useState('');
  useEffect(() => {
    const converted = getChartReadme.replace(`## Configuration`, `## Configuration <div id="configuration" />`);
    setReadMe(converted);
  }, [getChartReadme]);
  return React__default.createElement(React__default.Fragment, null, React__default.createElement(Content, null, React__default.createElement("div", {
    className: css(styles.container)
  }, React__default.createElement(Row, {
    gutter: 16
  }, React__default.createElement(Col, {
    md: 16
  }, React__default.createElement(Card, {
    bodyStyle: {
      wordWrap: 'break-word'
    },
    loading: loading
  }, React__default.createElement(ReactMD, {
    source: readMe,
    escapeHtml: false
  }))), React__default.createElement(Col, {
    md: 8
  }, !loading ? React__default.createElement("div", null, React__default.createElement("h2", null, "Versions"), React__default.createElement("div", {
    className: css(styles.versions)
  }, _.map(getChartVersions, (record, index) => React__default.createElement("div", {
    key: index
  }, record.version, ' - ', React__default.createElement("strong", null, moment(record.created).format('ll'))))), React__default.createElement("br", null), React__default.createElement("div", null, React__default.createElement("h2", null, "Maintainers"), _.map(getChartMaintainers, (record, index) => React__default.createElement("div", {
    key: index
  }, React__default.createElement("a", {
    href: `mailto:${record.email}`
  }, record.name)))), React__default.createElement("br", null)) : React__default.createElement("div", {
    className: "text-center"
  }, React__default.createElement(Spin, null)))))));
}export{ChartView};//# sourceMappingURL=ChartView.js.map
