import React__default,{useState}from'react';import {useQuery}from'@apollo/client/react/index.js';import {getChartDetailsDocument}from'@ops-stack/core';import'react-fela';import'@remix-run/react';import {Spin}from'antd';import'lodash-es';import'moment';import'react-markdown';import'@adminide-stack/core';import {ChartInstallation}from'../components/ChartInstallation.js';import'react-redux';import'rxjs';import'@adminide-stack/extension-api/lib/react/index.js';import'@adminide-stack/extension-api';import'@ant-design/icons';import'@admin-layout/ant-ui';function InstallationModal({
  repository,
  chart,
  onInstall
}) {
  const {
    name,
    latest_version
  } = chart;
  const [version, setVersion] = useState(latest_version);
  const {
    data = {},
    loading,
    error,
    refetch
  } = useQuery(getChartDetailsDocument, {
    variables: {
      repository,
      chartname: name,
      version: version
    }
  });
  const onChangeVersion = version => {
    setVersion(version);
    refetch();
  };
  return React__default.createElement(Spin, {
    spinning: loading
  }, React__default.createElement(ChartInstallation, {
    onInstall: onInstall,
    chart: chart,
    versions: data.getChartVersions,
    values: data.getChartValues,
    readme: data.getChartReadme,
    onChangeVersion: onChangeVersion
  }));
}export{InstallationModal};//# sourceMappingURL=InstallationModal.js.map
