import*as React from'react';import {useMutation}from'@apollo/client/react/index.js';import {createMonocularRegistryDocument,updateMonocularRegistryDocument}from'@ops-stack/core';import'react-fela';import'@remix-run/react';import'antd';import'lodash-es';import'moment';import'react-markdown';import'@adminide-stack/core';import'../components/ChartInstallation.js';import {RegistryFormComponent}from'../components/RegistryForm.js';import'@ant-design/icons';import'@admin-layout/ant-ui';function RegistryForm({
  onSave,
  onError,
  registry
}) {
  const [createRegistry, createResponse] = useMutation(createMonocularRegistryDocument);
  const [updateRegistry, updateResponse] = useMutation(updateMonocularRegistryDocument);
  const submit = payload => {
    if (registry.id) {
      updateRegistry({
        variables: {
          id: registry.id,
          payload
        }
      }).then(data => onSave(false)).catch(error => onError(error));
    } else {
      createRegistry({
        variables: {
          payload
        }
      }).then(data => onSave(true)).catch(error => onError(error));
    }
  };
  return React.createElement(RegistryFormComponent, {
    onSubmit: submit,
    registry: registry,
    loading: createResponse.loading || updateResponse.loading
  });
}export{RegistryForm};//# sourceMappingURL=RegistryForm.js.map
